Package icyllis.arc3d.vulkan

# Class VulkanBuffer

java.lang.Object
icyllis.arc3d.engine.Resource
icyllis.arc3d.engine.Buffer
icyllis.arc3d.vulkan.VulkanBuffer

All Implemented Interfaces:
  `RefCounted`

public final class VulkanBuffer extends Buffer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.engine.Buffer

  `Buffer.ResourceKey`

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.Buffer

  `kRead_MapMode, kWriteDiscard_MapMode, mSize, mUsage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanBuffer(Context context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected long`
  `onMap(int mode, long offset, long size)`
  `protected void`
  `onRelease()`
  Subclass should override this method to free GPU resources in the backend API.
  `protected void`
  `onUnmap(int mode, long offset, long size)`

  ### Methods inherited from class icyllis.arc3d.engine.Buffer

  `getMappedBuffer, getSize, getUsage, isMapped, map, map, unmap, unmap, updateData`

  ### Methods inherited from class icyllis.arc3d.engine.Resource

  `getContext, getDevice, getKey, getLabel, getMemorySize, getUniqueID, hasAnyRefs, hasCacheRef, hasCommandBufferRef, hasUsageRef, isBudgeted, isDestroyed, isPurgeable, isWrapped, onSetLabel, ref, refCommandBuffer, setKey, setLabel, setNonCacheable, unref, unrefCommandBuffer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VulkanBuffer

    public VulkanBuffer(Context context)

- ## Method Details

  - ### onRelease

    protected void onRelease()
    Description copied from class: `Resource`
    Subclass should override this method to free GPU resources in the backend API.
    Specified by:
      `onRelease` in class `Resource`

  - ### onMap

    protected long onMap(int mode, long offset, long size)
    Specified by:
      `onMap` in class `Buffer`

  - ### onUnmap

    protected void onUnmap(int mode, long offset, long size)
    Specified by:
      `onUnmap` in class `Buffer`